Debian Bug report logs - #196877
ifupdown: Please support passing additional arguments to pon

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Thomas Hood <jdthood@yahoo.co.uk>

Date: Tue, 10 Jun 2003 12:33:32 UTC

Severity: important

Tags: patch

Found in version 0.6.4-4.4

Fixed in version ifupdown/0.7~alpha4

Done: bugzilla@tut.by (Andrew O. Shadoura)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#196877; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
New Bug report received and forwarded. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ifupdown: Please support passing additional arguments to pon
Date: Tue, 10 Jun 2003 14:28:14 +0200
Package: ifupdown
Version: 0.6.4-4.4
Severity: wishlist

Normally I do

    pon myisp modem1

in order to connect via /dev/modem1 to myisp.  This works because arguments
after the first are forwarded by pon to pppd, and pppd interprets the
first argument it receives as a tty-name.

I would like to control all my networking through ifupdown methods.
I set up /e/n/i like this:

    iface ppp0 inet ppp
        provider myisp modem1

But then although "ifup ppp0" works fine, "ifdown ppp0" doesn't:

    jdthood@thanatos:~$ sudo ifup ppp0          [works]
    jdthood@thanatos:~$ sudo ifdown ppp0
    /usr/bin/poff: I could not find a pppd process for provider 'myisp'. None stopped.

However, if I edit /e/n/i to add quotation marks

    iface ppp0 inet ppp
        provider "myisp modem1"

then ifdown works (but ifup no longer does).

So, this is a wish for ifupdown to support ppp with additional arguments.
Perhaps thus:

    iface ppp0 inet ppp
        provider myisp
        tty modem1


-- System Information:
Debian Release: 3.0
Architecture: i386
Kernel: Linux thanatos 2.4.21-pre5 #4 Mon Mar 10 16:35:08 CET 2003 i686
Locale: LANG=en_GB, LC_CTYPE=en_GB

Versions of packages ifupdown depends on:
ii  libc6                         2.3.1-16   GNU C Library: Shared libraries an
ii  net-tools                     1.60-4     The NET-3 networking toolkit

-- debconf information:
* ifupdown/convert-interfaces: true




Information stored:
Bug#196877; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 196877-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 196877-quiet@bugs.debian.org
Subject: patch
Date: Mon, 20 Oct 2003 18:45:50 +0200
[Message part 1 (text/plain, inline)]
Osamu Aoki sent me this untested patch which adds the
requested feature to ifupdown.  I am sending it in here
so that it does not get lost.  It looks approximately
correct but (I repeat) no one has tested it.

--
Thomas Hood


[ppp-options_20031020.patch (text/x-patch, attachment)]

Tags added: pending Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#196877; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #23 received at 196877@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 196877@bugs.debian.org
Subject: Can new maintainer consider fixing this old bug for ifupdown/pon?
Date: Sat, 3 Feb 2007 22:40:40 +0900
tags 196877 patch
severity 196877 minor
thanks

Hi, new maintainers of ifupdown:)

While I am trying to update Debian reference network section, I realized
recent ifupdown updates lost fixes done in the experimental package
after Thomas Hood left his activity.  (I miss him)

I did not tag this patch as "patch" since he added patch to his
experimental package.  As you can see on 
  http://bugs.debian.org/196877
My fix proposal is essentialy 2 line code changes and 2 line
documentation changes. I think it is very clean.  Let me repeat here the
key parts below. This enables ifupdown to access complete functionality
of pon which accepts more than just "provider" as its arguments.  Since
it is too late for etch, please consider this after etch.

By the way, the last part of TODO file may deserve to be purged since we
are about to release etch and sarge has been released for long time.

diff -Nru ifupdown-0.6.4/ifupdown.nw ifupdown-0.6.4-test/ifupdown.nw
--- ifupdown-0.6.4/ifupdown.nw  2003-10-19 14:56:29.000000000 +0200
+++ ifupdown-0.6.4-test/ifupdown.nw     2003-10-19 15:51:49.000000000 +0200
@@ -3746,8 +3746,9 @@
     commands for details.
   options
     provider name  -- Use /name/ as the provider (from /etc/ppp/peers).
+    options string  -- Use /string/ as extra options for invoking pon.
   up
-    pon [[%provider%]]
+    pon [[%provider%]] [[%options%]]
   down
     poff [[%provider%]]
 @ 
diff -Nru ifupdown-0.6.4/inet.defn ifupdown-0.6.4-test/inet.defn
--- ifupdown-0.6.4/inet.defn    2003-10-19 14:56:29.000000000 +0200
+++ ifupdown-0.6.4-test/inet.defn       2003-10-19 15:52:34.000000000 +0200
@@ -114,8 +114,9 @@
     commands for details.
   options
     provider name  -- Use /name/ as the provider (from /etc/ppp/peers).
+    options string  -- Use /string/ as extra options for invoking pon.
   up
-    pon [[%provider%]]
+    pon [[%provider%]] [[%options%]]
   down
     poff [[%provider%]]
 method wvdial


-- 
~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
        Osamu Aoki <osamu@debian.org>  Yokohama Japan, GPG-key: A8061F32
 .''`.  Debian Reference: post-installation user's guide for non-developers
 : :' : http://qref.sf.net and http://people.debian.org/~osamu
 `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract




Tags added: patch Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `minor' from `wishlist' Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#196877; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #32 received at 196877@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 196877@bugs.debian.org
Subject: ifupdown: Let's fix this old bug with patch
Date: Wed, 9 May 2007 00:35:18 +0900
[Message part 1 (text/plain, inline)]
severity 196877 important
thanks

Considering syntax difference:
 pon  [provider] [arguments]
 poff [provider]

ppp method which use pon/poff as its backend should offer these 2
parameters to function.  Otherwise ifup/ifdown will limit its capability
severly to chose port and modem used to connect to isp.

This was fixed once i experimental without no one complaining.  The
patch filed not only fix problem but also fix manpage.  Code change is
minimal and very clean.

So it is ready to be appled after so long time...  Please look this
again :-)

  http://bugs.debian.org/196877

Osamu


[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `minor' Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Tue, 08 May 2007 15:36:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andrew O. Shadoura <bugzilla@tut.by> to control@bugs.debian.org. (Wed, 20 Apr 2011 09:16:38 GMT) Full text and rfc822 format available.

Reply sent to bugzilla@tut.by (Andrew O. Shadoura):
You have taken responsibility. (Wed, 08 Jun 2011 12:51:50 GMT) Full text and rfc822 format available.

Notification sent to Thomas Hood <jdthood@yahoo.co.uk>:
Bug acknowledged by developer. (Wed, 08 Jun 2011 12:51:51 GMT) Full text and rfc822 format available.

Message #41 received at 196877-close@bugs.debian.org (full text, mbox):

From: bugzilla@tut.by (Andrew O. Shadoura)
To: 196877-close@bugs.debian.org
Subject: Bug#196877: fixed in ifupdown 0.7~alpha4
Date: Wed, 08 Jun 2011 12:20:56 +0000
Source: ifupdown
Source-Version: 0.7~alpha4

We believe that the bug you reported is fixed in the latest version of
ifupdown, which is due to be installed in the Debian FTP archive:

ifupdown_0.7~alpha4.dsc
  to main/i/ifupdown/ifupdown_0.7~alpha4.dsc
ifupdown_0.7~alpha4.tar.gz
  to main/i/ifupdown/ifupdown_0.7~alpha4.tar.gz
ifupdown_0.7~alpha4_amd64.deb
  to main/i/ifupdown/ifupdown_0.7~alpha4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 196877@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew O. Shadoura <bugzilla@tut.by> (supplier of updated ifupdown package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 08 Jun 2011 12:10:14 +0300
Source: ifupdown
Binary: ifupdown
Architecture: source amd64
Version: 0.7~alpha4
Distribution: experimental
Urgency: low
Maintainer: Andrew O. Shadoura <bugzilla@tut.by>
Changed-By: Andrew O. Shadoura <bugzilla@tut.by>
Description: 
 ifupdown   - high level tools to configure network interfaces
Closes: 149395 158089 159884 196877 357929 384143 389996 408453 415285 417718 460276 471834 518924 520576 575110 584530 601705 604136 607713 610238
Changes: 
 ifupdown (0.7~alpha4) experimental; urgency=low
 .
   * New maintainer.
   * Removed VCS repository from the tarball (Closes: #417718).
   * Add source stanza (Closes: #159884, #149395, #471834).
   * Fix bashism in example script get-mac-address.sh (Closes: #518924).
   * Use DebSrc3.0 source format and dh7.
   * Add auto method for IPv6, fix static method (Closes: #604136).
   * Update URL for Debian Reference (Closes: #610238).
   * Fix typos in the man page (Closes: #384143, #415285).
   * Add GRE and IPIP tunnels support (Closes: #158089).
   * Fix inet/static pointopoint option (Closes: #460276).
   * Add support for enabling/disabling IPv6 privacy extension
     (Closes: #520576).
   * Move network state file to /run/network (Closes: #389996).
   * Fix init script dependencies (Closes: #607713, #601705).
   * Add MTU setting for v4tunnel (Closes: #408453, #575110).
   * Allow multiple interface definitions to ease work with multiple IP per
     interface.
   * Allow passing PPP options, pass updetach by default (Closes: #196877).
   * Add 6to4 tunnels support (Closes: #357929).
   * Add CAN interface support (Closes: #584530).
   * Drop 0.5.x migration script.
   * Drop dependency on net-tools; suggest it instead.
   * Bump Standards-Version to 3.9.2.
Checksums-Sha1: 
 9bec1b939c57b7aae09a8a4499c3066aaaaa19c2 797 ifupdown_0.7~alpha4.dsc
 c3224838c1989925bad1c836788337f8d9cf847f 89299 ifupdown_0.7~alpha4.tar.gz
 eb2502dc6efd215c320d4ea78c56669f5544148f 50234 ifupdown_0.7~alpha4_amd64.deb
Checksums-Sha256: 
 6f07fa02edd18666b7bb8bfea696575d95ff1bf3d17172c704ef9b419ae1047d 797 ifupdown_0.7~alpha4.dsc
 c524c9e187c73a2edc652f4349a064599447eca89e8ac253a7e4d9cdb796e481 89299 ifupdown_0.7~alpha4.tar.gz
 1d033c47bef1ebedd5b301ded455c73a654623b16784f5055cf035093734b205 50234 ifupdown_0.7~alpha4_amd64.deb
Files: 
 04f1dfcf3bf39033c8b7a736f3382b52 797 admin important ifupdown_0.7~alpha4.dsc
 a48e206dadfdb2f4c11cfcca995369f3 89299 admin important ifupdown_0.7~alpha4.tar.gz
 f2165f61e612e1572d3012f7c8fa7eec 50234 admin important ifupdown_0.7~alpha4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEAREDAAYFAk3vY5kACgkQVcFcaSW/uEhUSgCgz3bP6D/Ye/bSYiQWXX7QqwjI
604Ani6ozVwQF1Sr3bCZq2L0wga3CtV8
=bZeW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 May 2012 07:41:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:29:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.